Skip to main content
GET
Retrieve a Funding

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

funding_id
string
required

The ID of the Funding object to retrieve.

Maximum string length: 64

Response

A Funding object.

id
string
required

Unique ID of the Funding object.

Maximum string length: 64
Pattern: ^funding_\w+$
Example:

"funding_0o5Fs0EELR0fUjHjbCnEtdUwQe3"

user_credit_balance_id
string
required

ID of the User Credit Balance this funding draws against.

Maximum string length: 64
Pattern: ^user_credit_balance_\w+$
Example:

"user_credit_balance_1HCpXwx2EK9oYluWbacgeCnFcLf"

account_number_id
string
required

The ID of the Lead Bank Account Number object.

Pattern: ^account_number_\w+$
Example:

"account_number_xyz123"

currency_code
enum<string>
required

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

amount
integer
required

The total principal disbursed, in minor units.

Required range: x >= 1
Example:

1000000

core_transaction_id
string | null
required

ID of the Core Transaction that credited the destination balance. null until the funding is posted.

Pattern: ^core_transaction_.+~\d+$
Example:

"core_transaction_5BIJT5QH8Qm2n1x~0"

status
enum<string>
required

The current status of the Funding object.

Available options:
processing,
posted,
rejected
Example:

"processing"

rejection
object
required

Object containing information relevant for cases where the Funding object is in a rejected status. When the object is not in a rejected status, fields will still be present with empty strings.

created_at
string<date-time>
required

The ISO-8601 timestamp at which the Funding object was created.

Example:

"2026-09-17T11:01:36Z"

updated_at
string<date-time>
required

The ISO-8601 timestamp at which the Funding object was last updated.

Example:

"2026-09-17T11:05:00Z"

metadata
object

Additional metadata associated with the funding.

Example: